'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.e0 = exports._e0 = undefined;

var _katsuCurry = require('katsu-curry');

var _e0 = exports._e0 = function _e0(fn, x) {
  return x[fn]();
};

/**
 * @method e0
 * @param {string} fn - a function name
 * @param {Object} x - an object
 * @returns {*}
 * @example
 * import {e0} from 'entrust'
 * const toLowerCase = e0(`toLowerCase`)
 * toLowerCase(`COOL`) // cool
 */
var e0 = exports.e0 = (0, _katsuCurry.curry)(_e0);